SSH / PuTTy Cipher Errors

Are you experiencing problems when connecting to our servers via SSH ?

If you then get fatal errors, a likely reason is because you are using an older version of PuTTy. We can replicate the following error with PuTTy 0.55:

Please update to the latest version of PuTTy (0.60):

Windows Installer


It looks like this issue extends into SFTP also:

sftp error

We are able to recreate this issue with CoreFTP on our office machines. A newer FTP client (such as FileZilla), will include the correct ciphers for connecting to SFTP.

Here is a FileZilla program for you to download. We have verified this works from outside our network, so you shouldn't have any problems connecting.